<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.app.mapper.AppFeedbackMapper">

    <resultMap type="AppFeedback" id="AppFeedbackResult">
        <result property="id" column="id"/>
        <result property="feedbackType" column="feedback_type"/>
        <result property="content" column="content"/>
        <result property="feedbackResult" column="feedback_result"/>
        <result property="userId" column="user_id"/>
        <result property="status" column="status"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <sql id="selectAppFeedbackVo">
        select id, feedback_type, content, feedback_result, user_id, status, create_time, update_by_id, update_by, update_time
        from app_feedback
    </sql>

    <select id="selectAppFeedbackList" parameterType="AppFeedback" resultMap="AppFeedbackResult">
        <include refid="selectAppFeedbackVo"/>
        <where>
            <if test="feedbackType != null  and feedbackType != ''">
                and feedback_type = #{feedbackType}
            </if>
            <if test="content != null  and content != ''">
                and content = #{content}
            </if>
            <if test="feedbackResult != null  and feedbackResult != ''">
                and feedback_result = #{feedbackResult}
            </if>
            <if test="userId != null ">
                and user_id = #{userId}
            </if>
            <if test="status != null  and status != ''">
                and status = #{status}
            </if>
        </where>
        order by id desc
    </select>

    <select id="selectAppFeedbackById" parameterType="Long"
            resultMap="AppFeedbackResult">
        <include refid="selectAppFeedbackVo"/>
        where id = #{id}
    </select>

    <insert id="insertAppFeedback" parameterType="AppFeedback" useGeneratedKeys="true"
            keyProperty="id">
        insert into app_feedback
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="feedbackType != null">feedback_type,
            </if>
            <if test="content != null">content,
            </if>
            <if test="userId != null">user_id,
            </if>
            <if test="status != null">status,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="feedbackType != null">#{feedbackType},
            </if>
            <if test="content != null">#{content},
            </if>
            <if test="userId != null">#{userId},
            </if>
            <if test="status != null">#{status},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
        </trim>
    </insert>

    <update id="updateAppFeedback" parameterType="AppFeedback">
        update app_feedback
        <trim prefix="SET" suffixOverrides=",">
            <if test="feedbackType != null">feedback_type =
                #{feedbackType},
            </if>
            <if test="feedbackResult != null">feedback_result =
                #{feedbackResult},
            </if>
            <if test="content != null">content =
                #{content},
            </if>
            <if test="userId != null">user_id =
                #{userId},
            </if>
            <if test="status != null">status =
                #{status},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteAppFeedbackById" parameterType="Long">
        delete from app_feedback where id = #{id}
    </delete>

    <delete id="deleteAppFeedbackByIds" parameterType="String">
        delete from app_feedback where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>